package com.xxfc.platform.activity.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 通用活动规则表
 * 
 * @author zjw
 * @email 18178966185@163.com
 * @date 2019-07-16 14:04:22
 */
@Data
public class ActivityInfoRuleVo extends ActivityRuleVo implements Serializable {
	private static final long serialVersionUID = 1L;
	

	

	@ApiModelProperty(value = "支付金额")
    private BigDecimal  payPrice;


	@ApiModelProperty(value = "天数")
	private Integer  days;



	@ApiModelProperty(value = "上级拥金")
	private BigDecimal  parentComisson;


	

}
