package com.xxfc.platform.activity.rest;

import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.xxfc.platform.activity.biz.ActivityInfoUserBiz;
import com.xxfc.platform.activity.entity.ActivityInfo;
import com.xxfc.platform.activity.entity.ActivityInfoUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author Administrator
 */
@Slf4j
@RestController
@RequestMapping("app/activityInfo")
@Api(tags = {"2680活动"})
public class AppActivityInfoController extends BaseController<ActivityInfoUserBiz> {






    @PostMapping("join")
    @ApiModelProperty("参加")
    public ObjectRestResponse join(@RequestBody ActivityInfoUser activityInfoUser){
        activityInfoUser.setUserId(getCurrentUserIdInt());
        return ObjectRestResponse.succ(baseBiz.joinActivity(activityInfoUser));
    }



    @ApiOperation("新人有礼参加活动")
    @RequestMapping(value = "/app/unauth/H5", method = RequestMethod.GET)
    @IgnoreUserToken
    public ObjectRestResponse H5(ActivityInfoUser activityInfoUser){
        Integer userId = getCurrentUserIdInt() == null ? 0 :getCurrentUserIdInt();
        activityInfoUser.setUserId(userId);
        return ObjectRestResponse.succ(baseBiz.getInfo(activityInfoUser));
    }




    @PostMapping("app/unauth/updActivty")
    @ApiModelProperty("支付后处理")
    @IgnoreUserToken
    public  ObjectRestResponse updActivty(@RequestBody ActivityInfo activityInfo) {
        baseBiz.updActivty(activityInfo);
        return ObjectRestResponse.succ();
    }












}
